/* bibcite is a bibliography and citation library with exporting
and importing capabilities to bibTex format

Copyright (C) 2010  Georg Adelmann - mail@geoadel.net

This file is part of bibcite.

bibcite free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

package net.geoadel.bibcite.DataFields;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * This class provides the languages for the language selectors.
 * Later on it might implement translation frameworks.
 *
 * @DocumentationStatus finished
 * @GPLStatus   ready
 * @author Georg Adelmann
 */
public class Languages {
    
    static ArrayList<String> alLanguages = new ArrayList<String>(Arrays.asList("English", "French", "German", "Spanish", "Swedish"));

    public static ArrayList<String> getLanguages(){
        return alLanguages;
    }
}
