/* bibcite is a bibliography and citation library with exporting
and importing capabilities to bibTex format

Copyright (C) 2010  Georg Adelmann - mail@geoadel.net

This file is part of bibcite.

bibcite free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */
package net.geoadel.bibcite.ImportExport.ISBNImport.Filters;

import net.geoadel.bibcite.DataFields.SessionData;
import net.geoadel.bibcite.DatabaseObjects.Bibliography;
import net.geoadel.bibcite.GUI.ProgressNotificator;
import net.geoadel.bibcite.ImportExport.Import_bibTex;

/**
 *
 * @author Georg Adelmann
 */
public class filterOttoBib {

    public static Bibliography filter(String html) {
       
        Bibliography result = null;
        String beginBib = "<textarea style='width: 90%;' rows='5' cols='85' wrap='VIRTUAL' onclick='this.select();'>";
        String endBib = "</textarea>";
        String bibTex = html.substring(html.indexOf(beginBib) + beginBib.length(), html.indexOf(endBib));
        // System.out.println(html);
        // System.out.println("BibTex: "+ (html.indexOf(beginBib) + beginBib.length())+" - "+ html.indexOf(endBib));
        result = new Import_bibTex().parseBibliography(bibTex, bibTex);
        return result;
    }
}
