/* bibcite is a bibliography and citation library with exporting
and importing capabilities to bibTex format

Copyright (C) 2010  Georg Adelmann - mail@geoadel.net

This file is part of bibcite.

bibcite free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

package net.geoadel.bibcite.Events;

import java.util.EventListener;

/**
 * Provides an interface for selection–changed Event Listener interface
 * @GPLStatus clean
 * @DocumentationStatus finished
 * @author  Georg Adelmann
 */
public interface TreeViewSelectionListener extends EventListener{
    // Called whenever TreeViewSelectionEvent is fired
    public void selectionChanged(TreeViewSelectionEvent e);
}
