/* bibcite is a bibliography and citation library with exporting
and importing capabilities to bibTex format

Copyright (C) 2010  Georg Adelmann - mail@geoadel.net

This file is part of bibcite.

bibcite free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

package net.geoadel.bibcite.GUI.ObjectEditors;

import java.awt.Component;
import java.awt.Dimension;
import javax.swing.JPanel;
import net.geoadel.bibcite.DataFields.SessionData;
import net.geoadel.bibcite.DatabaseObjects.dbObject;
import net.geoadel.bibcite.Database.dbModel;

/**
 *
 * @author Georg Adelmann
 */
public class ObjectEditor extends JPanel{
    private dbObject object = new dbObject(SessionData.getUser());

    private boolean minimized = false;
    
    public void ObjectEditor(dbObject object){
        this.object = object;
    }

    public void storeObject(){
        dbModel.storeObject(object);
    }

    public void deleteObject(){

    }

    public dbObject getObject(){
        return object;
    }

    public void setObject(dbObject object){
        this.object = object;
    }
    
        public void toggleMinMaxEditor() {
        if (minimized) {
            // setSize(new Dimension(getWidth(), 500));
            setPreferredSize(new Dimension(((Component)this.getParent()).getWidth(), 380));
            setMaximumSize(new Dimension(((Component)this.getParent()).getWidth(), 380));
            revalidate();
            // this.setSize(new Dimension(500,300));
            // this.setPreferredSize(new Dimension(this.getWidth(),400));
            minimized = false;
        } else {
            setPreferredSize(new Dimension(((Component)this.getParent()).getWidth(), 30));
            setMaximumSize(new Dimension(((Component)this.getParent()).getWidth(), 30));
            revalidate();
            // this.setSize(new Dimension(500,90));
            // this.setPreferredSize(new Dimension(this.getWidth(),70));
            minimized = true;
        }
        ((Component)this.getParent()).validate();
    }
}
